Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 278341 - [mozTXTToHTMLConv] A colon (:) after a URL in a message is recognized as part of the URL.
: [mozTXTToHTMLConv] A colon (:) after a URL in a message is recognized as part...
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Other Branch
: All All
: -- minor (vote)
: Thunderbird 11.0
Assigned To: Ben Bucksch (:BenB)
: 424064 725626 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2005-01-13 22:34 PST by Dmitry Nikiforov
Modified: 2012-02-13 03:42 PST (History)
9 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

Fix, v1 (914 bytes, patch)
2009-03-15 07:33 PDT, Ben Bucksch (:BenB)
no flags Details | Diff | Splinter Review
unbittrotted patch and tested (908 bytes, patch)
2011-11-07 13:38 PST, :aceman
ben.bucksch: review+
Details | Diff | Splinter Review

Description Dmitry Nikiforov 2005-01-13 22:34:48 PST
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/125.5.5 (KHTML, like Gecko) Safari/125.12
Build Identifier: 

If there is a colon after a URL in a message - it is recognized by Thunderbird as part of the URL. For 
example. would be a complete URL with a colon at the end and 
the link will be the same, which will generate an error. The same is true for combinations of symbols: 
",:", "::" etc. This is not true, if there's no file after the host name - will 
generate a correct link to

Reproducible: Always

Steps to Reproduce:
1. Send a message containing a URL with a file name and a colon right after it (e-mail, news)
2. When message arrived - check where the link points to - to just the URL or to the URL with the colon.

Actual Results:  
The link points to URL with colon.

Expected Results:  
The link should point to the URL only, colon should remain a part of plain text in the message.
Comment 1 Doug Wright 2005-01-15 12:49:46 PST
Taking a stab at a better component for this.
Comment 2 Mike Cowperthwaite 2005-01-17 20:27:49 PST
xref bug 218287, bug 133016
Comment 3 Gervase Markham [:gerv] 2005-09-27 02:08:52 PDT
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Comment 4 Gervase Markham [:gerv] 2005-10-13 10:38:08 PDT
This bug has been automatically resolved after a period of inactivity (see above
comment). If anyone thinks this is incorrect, they should feel free to reopen it.
Comment 5 Frank Wein [:mcsmurf] 2009-03-15 05:57:19 PDT
Reopening, this bug is still valid and a problem in MailNews.
Comment 6 Ben Bucksch (:BenB) 2009-03-15 07:33:43 PDT
Created attachment 367479 [details] [diff] [review]
Fix, v1

Patch, untested
Comment 7 :aceman 2011-11-07 13:38:55 PST
Created attachment 572600 [details] [diff] [review]
unbittrotted patch and tested
Comment 8 Ben Bucksch (:BenB) 2011-11-07 14:05:56 PST
Comment on attachment 572600 [details] [diff] [review]
unbittrotted patch and tested

Yes, we should do it, exactly like that.

Comment 9 Ben Bucksch (:BenB) 2011-11-07 14:09:21 PST
Note that we wouldn't catch skype: or similar anymore as a URL, but I don't see any point in a URL like that, esp. in a recognizer (get the catch common cases, not edge cases). This example is purely theoretic, I don't know any concrete URL like that, and I agree the usecase mentioned in this bug is more important. I am just recording this for completeness, that we considered and rejected this edge case.
Comment 10 David :Bienvenu 2011-11-11 08:13:12 PST
Comment on attachment 572600 [details] [diff] [review]
unbittrotted patch and tested

only need one review for this
Comment 11 :aceman 2011-11-13 07:24:58 PST
*** Bug 424064 has been marked as a duplicate of this bug. ***
Comment 12 Mark Banner (:standard8) 2011-11-17 03:19:51 PST
Landed on mozilla-inbound:
Comment 13 Ed Morley (Away 28th Oct -> 6th Nov) [:emorley] 2011-11-18 03:26:14 PST
Comment 14 :aceman 2012-02-13 03:42:04 PST
*** Bug 725626 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.